> ## Documentation Index
> Fetch the complete documentation index at: https://docs.monyfix.tech/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Store Events

> Get store events



## OpenAPI

````yaml get /stores/{store_id}/events
openapi: 3.1.0
info:
  title: Monyfix API
  description: Monyfix
  version: 1.0.0
servers: []
security: []
paths:
  /stores/{store_id}/events:
    get:
      tags:
        - stores
      summary: Get Store Events
      description: Get store events
      operationId: get_store_events_stores__store_id__events_get
      parameters:
        - name: store_id
          in: path
          required: true
          schema:
            type: integer
            title: Store Id
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            default: 5
            title: Limit
        - name: offset
          in: query
          required: false
          schema:
            type: integer
            default: 0
            title: Offset
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/EventGetResponse'
                title: Response Get Store Events Stores  Store Id  Events Get
        '401':
          description: >-
            No `Authorization` access token header, token is invalid or user
            removed
          content:
            application/json:
              examples:
                not authenticated:
                  summary: No authorization token header
                  value:
                    detail: Not authenticated
                invalid token:
                  summary: >-
                    Token validation failed, decode failed, it may be expired or
                    malformed
                  value:
                    detail: 'Token invalid: {detailed error msg}'
                removed user:
                  summary: User removed
                  value:
                    detail: User removed
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    EventGetResponse:
      properties:
        id:
          type: string
          title: Id
        name:
          type: string
          title: Name
        price:
          type: number
          title: Price
        platform_price:
          anyOf:
            - type: number
            - type: 'null'
          title: Platform Price
        start_time:
          type: string
          format: date-time
          title: Start Time
        end_time:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: End Time
        duration:
          type: integer
          title: Duration
        meeting_link:
          anyOf:
            - type: string
            - type: 'null'
          title: Meeting Link
        meeting_password:
          anyOf:
            - type: string
            - type: 'null'
          title: Meeting Password
        meeting_platform:
          anyOf:
            - type: string
            - type: 'null'
          title: Meeting Platform
        event_type:
          type: string
          title: Event Type
        participants_limit:
          type: integer
          title: Participants Limit
        cover_picture_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Cover Picture Url
        is_active:
          type: boolean
          title: Is Active
        store:
          $ref: '#/components/schemas/ProductUpcomingRoundStoreGetResponse'
        short_desc:
          type: string
          title: Short Desc
        detail_desc:
          anyOf:
            - type: string
            - type: 'null'
          title: Detail Desc
        question_id:
          anyOf:
            - type: integer
            - type: 'null'
          title: Question Id
        location:
          anyOf:
            - $ref: '#/components/schemas/EventLocationGetResponse'
            - type: 'null'
        format_price:
          type: string
          title: Format Price
          readOnly: true
      type: object
      required:
        - id
        - name
        - price
        - start_time
        - duration
        - event_type
        - participants_limit
        - is_active
        - store
        - short_desc
        - format_price
      title: EventGetResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ProductUpcomingRoundStoreGetResponse:
      properties:
        id:
          type: integer
          title: Id
        name:
          type: string
          title: Name
        logo_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Logo Url
        is_blogger:
          type: boolean
          title: Is Blogger
        seller_type:
          type: string
          title: Seller Type
          readOnly: true
      type: object
      required:
        - id
        - name
        - is_blogger
        - seller_type
      title: ProductUpcomingRoundStoreGetResponse
    EventLocationGetResponse:
      properties:
        country:
          anyOf:
            - type: string
            - type: 'null'
          title: Country
        city:
          anyOf:
            - type: string
            - type: 'null'
          title: City
        address:
          type: string
          title: Address
      type: object
      required:
        - address
      title: EventLocationGetResponse
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````